> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udbuttongroupitem.md).

# New-UDButtonGroupItem

### Sinopsis

Crea un nuevo elemento de grupo de botones.

### Sintaxis

```powershell
New-UDButtonGroupItem [[-Id] <String>] [[-OnClick] <Endpoint>] [[-Text] <String>] [[-Href] <String>] [[-Icon] <Hashtable>] [-ShowLoading] [[-LoadingIndicator] <Object>] [[-LoadingPosition] <String>] [[-Sx] <Hashtable>] [[-Style] <Hashtable>] [<CommonParameters>]
```

### Descripción

Crea un nuevo elemento de grupo de botones. Los elementos de grupo de botones se utilizan con New-UDButtonGroup.

### Parámetros

#### -Id

El ID del componente. Por defecto es un GUID aleatorio.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid()).ToString()
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClick

Un bloque de script que se ejecuta cuando se hace clic en el elemento de la lista.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Text

El texto que se muestra en el elemento de grupo de botones.

```
Required?                    false
Position?                    3
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Href

Una URL a la que se debe redirigir al usuario al hacer clic en el botón.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

Un icono que se muestra en el elemento de grupo de botones.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    -ShowLoading [<SwitchParameter>]
        Displays a loading spinner while the OnClick event handler is running.

Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -LoadingIndicator Un elemento personalizado que se muestra en lugar del indicador giratorio integrado para -ShowLoadingRequired?                    falsePosition?                    6Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-LoadingPositionLa posición del indicador de carga. Los valores válidos son: 'start', 'end', 'center'Required?                    falsePosition?                    7Default value                centerAccept pipeline input?       falseAliasesAccept wildcard characters?  false-SxRequired?                    falsePosition?                    8Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false-StyleRequired?                    falsePosition?                    9Default valueAccept pipeline input?       falseAliasesAccept wildcard characters?  false    \<CommonParameters>        This cmdlet supports the common parameters: Verbose, Debug,        ErrorAction, ErrorVariable, WarningAction, WarningVariable,        OutBuffer, PipelineVariable, and OutVariable. For more information, see        about\_CommonParameters (<https://go.microsoft.com/fwlink/?LinkID=113216).Salidas--------------------------> EJEMPLO 1 --------------------------PS > Creates a new button group with two items.New-UDButtonGroup -Content {        New-UDButtonGroupItem -Text 'Delete'        New-UDButtonGroupItem -Text 'Copy'}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/es/comandos-de-powershell/new-udbuttongroupitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
